import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
//import {max,scaleSqrt  } from 'd3';
import { useMassGeo } from './useMassGeo';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const MassGeo = useMassGeo();

  if (!MassGeo) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <Marks MassGeo={MassGeo} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
